Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1880279 - [e2e] scheduling: Pod should avoid nodes that have avoidPod annotation: fail when not all pods are properly deleted
Summary: [e2e] scheduling: Pod should avoid nodes that have avoidPod annotation: fail ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Jan Chaloupka
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-18 07:45 UTC by Jan Chaloupka
Modified: 2020-10-27 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:42:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 352 0 None closed bug 1880279: [e2e] scheduling: Pod should avoid nodes that have avoidPod annotation: fail when not all pods are properly... 2021-01-14 15:58:55 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:42:45 UTC

Description Jan Chaloupka 2020-09-18 07:45:59 UTC
To collect reasons why the test does not clean its pod properly.

If the pods are not cleaned, they get cleaned later and may cause `[sig-scheduling] SchedulerPredicates [Serial] validates resource limits of pods that are allowed to run [Conformance]` test to fail.

Comment 2 zhou ying 2020-09-21 01:19:24 UTC
Only test code update , will move to verified status.

Comment 5 errata-xmlrpc 2020-10-27 16:42:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.